com.h3c.util.pkt

## Enum Ethernet.Control

- java.lang.Object
- - java.lang.Enum<Ethernet.Control>
  - - com.h3c.util.pkt.Ethernet.Control

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<Ethernet.Control>
  Enclosing class:
    Ethernet

      public static enum Ethernet.Control
      extends Enum<Ethernet.Control>
      implements ProtocolEnum

  Control types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_CONTROL` No control type.
    `UNNUMBERED` Unnumbered control type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static Ethernet.Control` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Ethernet.Control[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_CONTROL

          public static final Ethernet.Control NO_CONTROL

      No control type.

    - #### UNNUMBERED

          public static final Ethernet.Control UNNUMBERED

      Unnumbered control type.

  - ### Method Detail

    - #### values

          public static Ethernet.Control[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Ethernet.Control c : Ethernet.Control.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Ethernet.Control valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.